# Uses of Class
org.eclipse.draw2d.text.BidiProcessor

Packages that use BidiProcessor
Package
Description
org.eclipse.draw2d.text
Figures and support classes related to the layout and rendering of rich text.

## Uses of BidiProcessor in org.eclipse.draw2d.text

Fields in org.eclipse.draw2d.text declared as BidiProcessor
Modifier and Type
Field
Description
`static final BidiProcessor`
BidiProcessor.`INSTANCE`
A singleton instance.
Methods in org.eclipse.draw2d.text with parameters of type BidiProcessor
Modifier and Type
Method
Description
`protected void`
BlockFlow.`contributeBidi(BidiProcessor proc)`
BlockFlows contribute a paragraph separator so as to keep the Bidi state of the text on either side of this block from affecting each other.
`protected void`
FlowAdapter.`contributeBidi(BidiProcessor proc)`
This FlowFigure contributes an Object Replacement Character.
`protected void`
FlowFigure.`contributeBidi(BidiProcessor proc)`
FlowFigures can contribute text for their block to the given `BidiProcessor`, which will process the contributions to determine Bidi levels and shaping requirements.
`protected void`
TextFlow.`contributeBidi(BidiProcessor proc)`
A TextFlow contributes its text.